#{set panelType="card-danger" /}

#{if _update.update_date == null}
    <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
        <div class="card card-default">
            <div class="card-header panel-accordion" role="tab" id="headingOne">
                <h4 class="card-title panel-accordion">
                    <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseOne" aria-expanded="false" aria-controls="collapseOne">
                        Notifikasi Update
                    </a>
                </h4>
            </div>
            
            <div id="collapseOne" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingOne">
                <div class="card-body">
                #{if _changeLogs != null && _changeLogs.length>0}
                	<h4>Changelog aplikasi SPSE</h4><br/>
                    Di bawah ini merupakan changelog dari aplikasi SPSE jika update dilakukan.
                    <ul>
                        #{list items:_changeLogs, as:'log'}
                            <li >
                                <h5 style="color: black">Build (${log.head})</h5>
                                <div style="color: black; margin-left: 20px">
                                    #{list items:log.descriptions, as:'description'}
                                            ${description.raw()}
                                      #{/list}
                                </div>
                            </li>
                        #{/list}
                    </ul>                    
	                    <button type="button" class="btn btn-success" onclick="functionSetuju()">Setuju</button>
	                    <button type="button" class="btn btn-danger" onclick="functionTolak()">Tolak</button>
	                    <button type="button" class="btn btn-info" data-toggle="modal" data-target="#modalJadwal">Jadwalkan</button>
				#{/if}
						  <div class="modal fade" id="modalJadwal">
						    <div class="modal-dialog">
						      <div class="modal-content">
						        <div class="modal-header" style="background-color:#4b8fe3;">
						          	<h5 class="modal-title" style="margin-bottom: -30px; font-color: #fff;">Konfirmasi</h5>
						          	<button type="button" class="close" data-dismiss="modal">&times;</button>
						        </div>
						        <div class="modal-body">
						        	<i class="fa fa-info-circle"></i><strong> Perlu diperhatikan bahwa update aplikasi SPSE akan dilakukan pada tanggal dan waktu yang telah dipilih. Pada saat proses update berlangsung, service aplikasi SPSE akan dimatikan sampai proses update aplikasi SPSE selesai.</strong>
						        	<br><br>
						        	<a class="btn btn-info" href="@{admin.UtilityCtr.tanggalUpateLpse()}">Atur Jadwal</a>
						        </div>						
						        <div class="modal-footer">
						          <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
						        </div>						        
						      </div>
						    </div>
						  </div>
						  
                	</div>
            	</div>
            </div>
#{/if}

<script type="text/javascript">
function functionSetuju() {
	  var txt;
	  var do_backup=false;
      BootstrapDialog.show({
          title : 'Konfirmasi',
          message : function(dialog) {
              var $content = $('<div>Apakah Anda yakin akan melakukan update Aplikasi SPSE? <br/> <div style="padding-left: 120px;"></div></div>')
              $content.append('<div><input type="checkbox" id="do_backup" value="check" checked> Lakukan backup database</div><br/><br/>');
              $content.append('<div><input type="checkbox" id="check_confirmation" value="check"> Saya menyadari bahwa saya yakin akan melakukan update Aplikasi SPSE.</div>');
              $content.find('input:checkbox:last').change(function() {
                  if ($(this).is(':checked'))
                      dialog.getButton('btn1').enable();
                  else
                      dialog.getButton('btn1').disable();
              })
              $content.find('input:checkbox:first').change(function() {
                  if ($(this).is(':checked'))
                      do_backup=true;
                  else
                      do_backup=false;
              })
              return $content;
          },
          onshow: function(dialog) {
              dialog.getButton('btn1').disable();
          },
          buttons: [
             {id: 'btn1', label: 'Ya',  title: 'Setuju Update', cssClass: 'btn-success',
             action:function(dialog){
                 dialog.close();
                 $.ajax({
                     url: '@{controllers.admin.UtilityCtr.setujuiUpdate()}',
                     //data: {"data": postdata, "authenticityToken": token},
                     data: {"last_date": '${_lastDate}', "up_id": ${_update.id}, "do_backup":do_backup},
                     type: 'POST',
                     success: function (res) {
                         if (res.message === 'ok')
                             $('#alert').html('<div class="alert alert-success" data-auto-dismiss="5000">Data berhasil tersimpan</div>');
                         else if (res.message.length > 0)
                             $('#alert').html('<div class="alert alert-danger" data-auto-dismiss="5000">' + res.message + '</div>');
                         else
                             $('#alert').html('<div class="alert alert-danger" data-auto-dismiss="5000">Data gagal tersimpan, mohon periksa kembali inputan Anda</div>');
                         autoCloseAlert();
                     },
                     error: function () {
                         $('#alert').html('<div class="alert alert-danger" data-auto-dismiss="5000">Data gagal tersimpan karena ada kendala jaringan/server</div>');
                         autoCloseAlert();
                     }
                 });
             }},
            {id: 'btn2', label: 'Batal', title: 'Batal Update', action: function(dialog){ dialog.close();}, cssClass: 'btn-primary'}
          ]

      });
	}
	
function functionTolak() {
	  var txt;
      BootstrapDialog.show({
          title : 'Konfirmasi',
          message : function(dialog) {
              var $content = $('<div>Apakah Anda yakin akan menolak update Aplikasi SPSE? <br/> <div style="padding-left: 120px;"></div><br/><br/><br/></div>')
              $content.append('<div><input type="checkbox" id="check_confirmation" value="check"> Saya menyadari bahwa saya yakin akan menolak update Aplikasi SPSE.</div>');
              $content.find('input:checkbox:first').change(function() {
                if ($(this).is(':checked'))
                    dialog.getButton('btn1').enable();
                else
                    dialog.getButton('btn1').disable();
            })
              return $content;
          },
          onshow: function(dialog) {
            dialog.getButton('btn1').disable();
        },
          buttons: [
           {id: 'btn1', label: 'Ya',  title: 'Tolak Update', cssClass: 'btn-success', action:function(dialog){
               dialog.close();
             var postdata={'last_date':'${_lastDate}'};
             $.ajax({
                 url: '@{controllers.admin.UtilityCtr.tolakUpdate()}',
                 //data: {"last_date": '${_lastDate}', "authenticityToken": token},
                 data: {"last_date": '${_lastDate}', "up_id": ${_update.id}},
                 type: 'POST',
                 success: function (res) {
                     /*if (res.message === 'ok')
                           $('#alert').html('<div class="alert alert-success" data-auto-dismiss="5000">Data berhasil tersimpan</div>');
                       else if (res.message.length > 0)
                           $('#alert').html('<div class="alert alert-danger" data-auto-dismiss="5000">' + res.message + '</div>');
                       else
                           $('#alert').html('<div class="alert alert-danger" data-auto-dismiss="5000">Data gagal tersimpan, mohon periksa kembali inputan Anda</div>');
                           */
                       autoCloseAlert();
                 },
                 error: function () {
                       $('#alert').html('<div class="alert alert-danger" data-auto-dismiss="5000">Data gagal tersimpan karena ada kendala jaringan/server</div>');
                       autoCloseAlert();
                   }
             });
           }},
        {id: 'btn2', label: 'Batal', title: 'Batal Update', action: function(dialog){ dialog.close();}, cssClass: 'btn-primary'}
          ]

      });
	}
</script>
